# Configure the Docker provider
terraform {
  required_providers {
    docker = {
      source = "kreuzwerker/docker"
      version = "3.0.1"
    }
  }
}

provider "docker" {
      host    = "unix:///var/run/docker.sock"
}

resource "docker_network" "network" {
	name = var.network_name
	ipam_config {
		subnet  = var.network_subnet
	}
}